Xerces2 Implementation: Class CMNode

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd.models
Class CMNode

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.models.CMNode

Direct Known Subclasses:
  CMAny, CMBinOp, CMLeaf, CMUniOp, XSCMBinOp, XSCMLeaf, XSCMUniOp

public abstract class CMNode
extends java.lang.Object

A content model node.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: CMNode.java 573322 2007-09-06 16:48:47Z peterjm $

Constructor Summary
`CMNode(int type)`

Method Summary
`protected abstract void` | `calcFirstPos(CMStateSet toSet)`
`protected abstract void` | `calcLastPos(CMStateSet toSet)`
`CMStateSet` | `firstPos()`
`boolean` | `isCompactedForUPA()`
`abstract boolean` | `isNullable()`
`CMStateSet` | `lastPos()`
`void` | `setIsCompactUPAModel(boolean value)`
`void` | `setMaxStates(int maxStates)`
`int` | `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMNode

    public CMNode(int type)

Method Detail

### isNullable

    public abstract boolean isNullable()

### type

    public final int type()

### firstPos

    public final CMStateSet firstPos()

### lastPos

    public final CMStateSet lastPos()

### setMaxStates

    public final void setMaxStates(int maxStates)

### isCompactedForUPA

    public boolean isCompactedForUPA()

### setIsCompactUPAModel

    public void setIsCompactUPAModel(boolean value)

### calcFirstPos

    protected abstract void calcFirstPos(CMStateSet toSet)

### calcLastPos

    protected abstract void calcLastPos(CMStateSet toSet)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.